/*	
 *	Pollin Electronic GmbH
 *	Max-Pollin-Strae 1			
 *	85104 Pfrring 
 *	http://www.pollin.de
 *
 *	Project:	Synthesizer ver.1.0
 *  Version:	ver.1.0
 *  Filename:	main.h 
 *
 *  Copyright (c) 2017 Pollin Electronic GmbH. All rights reserved.
 *
 *  Bitte beachten Sie, dass dieses Programm nur uneingeschrnkt fr nicht kommerzielle Zwecke 
 *  genutzt werden darf. Ich bernehme keine Garantie fr die einwandfreie Funktion dieses Pro- 
 *  gramms und bernehme dadurch auch keine Haftung fr Folgeschden die Aufgrund der Benutzung  
 *  dieser Daten entstehen. Dieses gilt auch dann, wenn ich ber einen solchen Schaden unter- 
 *	richtet worden bin. 
 * 
 *	Umrechnungsfaktor 516,5
 *
 *  FREQC1	261,626
 *  FREQD1	293,665
 *  FREQE1	329,628
 *  FREQF1	349,228
 *  FREQG1	391,995
 *  FREQA1	440,000
 *  FREQH1	493,883
 *  FREQC2	523,351
 *  FREQD2	587,330
 *  FREQE2	659,255
 *  FREQF2	698,456
 *  FREQG2	783,991
 *  FREQA2	880,000
 *  FREQH2	987,767
 *  FREQC3	1046,50
 *
 *  FREQCIS1	277,183
 *  FREQDIS1	311,127
 *  FREQFIS1	369,994			
 *  FREQGIS1	415,305
 *  FREQAIS1	466,164
 *  FREQCIS2	554,365
 */

	/* Taster */
#define DDRC11			DDRD
#define DDRD11			DDRD
#define DDRE11			DDRA
#define DDRF11			DDRA
#define DDRG11			DDRD
#define DDRA11			DDRD
#define DDRH11			DDRD
#define DDRC22			DDRD
#define DDROKTAVE		DDRD
#define DDRKREUZB		DDRB
#define DDRSAGEZAHN		DDRB
#define DDRENVELOPE		DDRB

#define PORTC11			PORTD
#define PORTD11			PORTD
#define PORTE11			PORTA
#define PORTF11			PORTA
#define PORTG11			PORTD
#define PORTA11			PORTD
#define PORTH11			PORTD
#define PORTC22			PORTD
#define PORTOKTAVE		PORTD
#define PORTKREUZB		PORTB
#define PORTSAGEZAHN	PORTB
#define PORTENVELOPE	PORTB

#define PINC11			PIND
#define PIND11			PIND
#define PINE11			PINA
#define PINF11			PINA
#define PING11			PIND
#define PINA11			PIND
#define PINH11			PIND
#define PINC22			PIND
#define PINOKTAVE		PIND
#define PINKREUZB		PINB
#define PINSAGEZAHN		PINB
#define PINENVELOPE		PINB

#define BITC11			0
#define BITD11			1
#define BITE11			1
#define BITF11			0
#define BITG11			2
#define BITA11			3
#define BITH11			4
#define BITC22			5
#define BITOKTAVE		6
#define BITKREUZB		0
#define BITSAGEZAHN		1
#define BITENVELOPE		4

	/* LED */
#define DDRLEDGR	DDRB	//Sgezahn
#define DDRLEDRO	DDRB	//Envelope

#define PORTLEDGR	PORTB
#define PORTLEDRO	PORTB

#define BITLEDGR	6
#define BITLEDRO	5

	/* Envelopeausgang */
#define DDRENVAUS	DDRB
#define PORTENVAUS	PORTB
#define BITENVAUS	PB2

	/* Lautsprecherausgang */
#define DDRLAUT		DDRB
#define PORTLAUT	PORTB
#define BITLAUT		PB3

	/* Konstanten */
//volatile const int OCRC1 = 1974;		// (516,5/261,626) // (1/FREQC1 * 500 * 1033)
//volatile const int OCRD1 = 1759;
//volatile const int OCRE1 = 1567;
//volatile const int OCRF1 = 1479;
//volatile const int OCRG1 = 1318;
//volatile const int OCRA1 = 1174;
//volatile const int OCRH1 = 1046;
//volatile const int OCRC2 = 987;

//volatile const int OCRCIS1 = 1863;
//volatile const int OCRDIS1 = 1660;
//volatile const int OCRFIS1 = 1396;
//volatile const int OCRGIS1 = 1242;
//volatile const int OCRAIS1 = 1109;
//volatile const int OCRCIS2 = 932;